using System;
using System.Collections.Generic;
using System.Linq;

namespace Kuvar
{
    class Program
    {
        //public class Podatak
        //{
        //    public int broj;
        //    public int index;
        //}
        //static void Main()
        //{
        //    int n = int.Parse(Console.ReadLine());
        //    List<Podatak> x = new List<Podatak>(n);
        //    List<Podatak> y = new List<Podatak>(n);
        //    List<Podatak> z = new List<Podatak>(n);

        //    string[] s = Console.ReadLine().Split();
        //    for (int i = 0; i < n; i++)
        //    {
        //        Podatak p = new Podatak();
        //        p.broj = int.Parse(s[i]);
        //        p.index = i;
        //        x.Add(p);
        //    }
        //    s = Console.ReadLine().Split();
        //    for (int i = 0; i < n; i++)
        //    {
        //        Podatak p = new Podatak();
        //        p.broj = int.Parse(s[i]);
        //        p.index = i;
        //        y.Add(p);
        //    }
        //    s = Console.ReadLine().Split();
        //    for (int i = 0; i < n; i++)
        //    {
        //        Podatak p = new Podatak();
        //        p.broj = int.Parse(s[i]);
        //        p.index = i;
        //        z.Add(p);
        //    }

        //    for (int i = 0; i < n; i++)
        //        Console.Write(x[i].broj + "[" + x[i].index + "]" + " ");
        //    Console.WriteLine();
        //    for (int i = 0; i < n; i++)
        //        Console.Write(y[i].broj + "[" + x[i].index + "]" + " ");
        //    Console.WriteLine();
        //    for (int i = 0; i < n; i++)
        //        Console.Write(z[i].broj + "[" + x[i].index + "]" + " ");
        //}

        static void Main()
        {
            int n = int.Parse(Console.ReadLine());
            int[] x = new int[n];
            int[] y = new int[n];
            int[] z = new int[n];

            string[] s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
                x[i] = int.Parse(s[i]);
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
                y[i] = int.Parse(s[i]);
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
                z[i] = int.Parse(s[i]);

            int br = 0;
            for (int i = 0; i < n; i++)
                if (x[i] == y[z[i]])
                    br++;

            Console.WriteLine(br);
        }
    }
}